Skip to main content
GET
Fetch views

Response

200 OK

where:
  • id: Document id.
  • name: The name of the view.
  • projectId: Project id.
  • dashboardId: Dashboard id.
  • fromDate: Initial date to filter the view.
  • toDate: Final date to filter the view.
  • filter: Filter applied to the dashboard at the moment when the view was saved.
  • displayConfig: Object containing the dashboard items configuration, each key is the _id of the item.
    • chartType: Accepted values are HORIZONTAL_BARS | HORIZONTAL_STACKED_BARS | VERTICAL_BARS | VERTICAL_STACKED_BARS | PIE | AREA | LINE | DOUGHNUT | MATRIX | QUESTION_LOOP_GENERAL_VIEW | QUESTION_LOOP_DETAIL_VIEW | QUESTION_LOOP_AVG_VIEW.
    • order: Accepted values are ORIGINAL | BY_VOTES_ASC | BY_VOTES_DESC.
    • expanded: Boolean value to specify if the item container is expanded or not.
  • userId: User id.

401 Unauthorized

The user doesn’t have permissions.

500 Internal Server Error

Error occurred while processing the request.
Query Parameters

Authorizations

Authorization
string
header
required

Access token obtained from the m2m-token endpoint.

Headers

Authorization
string
required

Authorization token

Query Parameters

filter
string

Response

Fetch views

The response is of type object.